summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xinstall.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/install.sh b/install.sh
index 18d2f53..9cd6048 100755
--- a/install.sh
+++ b/install.sh
@@ -94,10 +94,9 @@ git checkout -q tags/$Version
echo "Installing the 'rustlings' executable..."
cargo install --force --path .
-if [ -x "$(rustlings)" ]
+if ! [ -x "$(command -v rustlings)" ]
then
echo "WARNING: Please check that you have '~/.cargo/bin' in your PATH environment variable!"
fi
echo "All done! Run 'rustlings' to get started."
-